# require swig to build with python support
%define name latte
%define version 0.9.12
%define release 1mdk

Name:		%{name}
Summary:	latte - Lazy hAcker's exTensible Text Editor.
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Editors
BuildRequires: XFree86-devel, gnome-libs-devel, audiofile-devel, esound-devel, imlib-devel, zlib-devel
URL:		http://latte.sourceforge.net/
Source:		http://download.sourceforge.net/latte/%{name}-%{version}.tar.bz2
Obsoletes: 	CodeCommander
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}

%description
latte is the Lazy hAcker's exTensible Text Editor.

It is a simple text editing tool for editing nearly any type of 
source code.


%prep
%setup -q

%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
%configure

make

%install
%makeinstall	DESTDIR=""

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{name}" \
icon="none" \
needs="X11" \
section="Applications/Development/Development environments" \
title="latte"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%dir %{_datadir}/gnome/help/latte/C/
%{_datadir}/gnome/help/latte/C/*
%{_datadir}/gnome/apps/Development/latte.desktop
#%{_datadir}/locale/ru/LC_MESSAGES/latte.mo
%dir %{_datadir}/latte
%dir %{_datadir}/latte/languages
%{_datadir}/latte/languages/*
%dir %{_datadir}/latte/scripts
%{_datadir}/latte/scripts/*
%{_bindir}/latte
%{_menudir}/latte


%changelog

* Fri Aug 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.12-1mdk
- new version
- s!%%{_libdir}/menu!%%{_menudir}

* Sun Aug 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9.11-1mdk
- new latte, hot from the oven.

* Sat Aug 19 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9.10-2mdk
- make it obsolete CodeCommander.

* Sat Aug 19 2000 Geoffrey Lee <snailtalk@mandrkaesoft.com> 0.9.10-1mdk
- adaptation for s|CodeCommander|latte|.
- new and shiny version.
- use _menudir (mescks).
- remove the LC_MESSAGES: doesn't seem to be there with make install.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.7-2mdk
- automatically added BuildRequires


* Mon Jul 31 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-1mdk
- new release

* Thu Jul 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.6-3mdk
- fix bad script

* Mon Jul 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9.6-2mdk
- BM

* Thu Jul 13 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.6-1mdk
- new release ...
- use the the right clean_menu macro since last release use chmou bad rpm ones

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.5-1mdk
- new version

* Mon Jul 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-1mdk
- new release

* Thu Jul 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.1-1mdk
- new release

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9-2mdk
- fix post scripst

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9-1mdk
- new release
- use new macros
- add data files

* Wed Jun 21 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.6.11-1mdk
- 0.6.11
- fix files

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 0.4.7-2mdk
- Menu Entry

* Sun Mar 19 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.4.7-1mdk
- 0.4.7
- fix group

* Sun Mar 19 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.3.21
- specfile changes for spec-helper

* Mon Feb 28 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.3.7

* Sat Feb 26 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
